Respeaker 4-Mic-Array RP3 B+

Applications/questions using Raspberry Pi with Seeed products, please post it here.

Moderators: lily.li, violet, salmanfarisvp

Post Reply
cjmatthews95
Pre-kindergarten
Pre-kindergarten
Posts: 1
Joined: Wed Jan 09, 2019 6:33 am

Respeaker 4-Mic-Array RP3 B+

Post by cjmatthews95 » Wed Jan 09, 2019 6:57 am

Following the guide (http://wiki.seeedstudio.com/ReSpeaker_4 ... pberry_Pi/) to set up my new Respeaker 4-Mic array I have come into some issues.

When I try to complete the step below

Alexa/Baidu/Snowboy SDK¶

# note: this is in the VNC terminal
pi@raspberrypi:~ $ source ~/env/bin/activate
(env) pi@raspberrypi:~ $ alexa-auth

Console returns with:
"
(env) pi@raspberrypi:~ $ alexa-auth

Traceback (most recent call last):
File "/home/pi/env/bin/alexa-auth", line 11, in <module>
load_entry_point('avs==0.5.4', 'console_scripts', 'alexa-auth')()
File "/home/pi/env/local/lib/python2.7/site-packages/pkg_resources/__init__.py", line 561, in load_entry_point
return get_distribution(dist).load_entry_point(group, name)
File "/home/pi/env/local/lib/python2.7/site-packages/pkg_resources/__init__.py", line 2631, in load_entry_point
return ep.load()
File "/home/pi/env/local/lib/python2.7/site-packages/pkg_resources/__init__.py", line 2291, in load
return self.resolve()
File "/home/pi/env/local/lib/python2.7/site-packages/pkg_resources/__init__.py", line 2297, in resolve
module = __import__(self.module_name, fromlist=['__name__'], level=0)
File "/home/pi/env/local/lib/python2.7/site-packages/avs-0.5.4-py2.7.egg/avs/auth.py", line 9, in <module>
import tornado.httpserver
File "/home/pi/env/local/lib/python2.7/site-packages/tornado-6.0a1-py2.7-linux-armv7l.egg/tornado/httpserver.py", line 144
def __init__(self, *args: Any, **kwargs: Any) -> None:
^
SyntaxError: invalid syntax
"

I would like to get this fixed so I can use the onboard APA102 LEDs.

timofeyevdomainorg
Pre-kindergarten
Pre-kindergarten
Posts: 1
Joined: Fri Jan 11, 2019 11:03 pm

Re: Respeaker 4-Mic-Array RP3 B+

Post by timofeyevdomainorg » Tue Jan 29, 2019 3:42 am

run

Code: Select all

pip uninstall tornado
pip install --upgrade pip
pip install tornado
:)

Post Reply